import sys
from rhpl import *
import socket
import gettext
_=gettext.gettext
import os

PROGNAME='system-config-netboot'
VERSION = "0.1.40"
TRUE=1
FALSE=not TRUE
INSTALLDIR="/usr/share/system-config-netboot"
PXEBOOTDIR="/tftpboot/linux-install/"
PXECFGDIR=PXEBOOTDIR+"pxelinux.cfg/"

def hostname():
    try:
        return socket.gethostbyname(socket.gethostname())
    except:
        return socket.gethostname()
    
def mkdir(DIR):
    try:
        os.makedirs(DIR)
    except OSError,err:
        if err.errno != 17:
            raise err

def getstatusoutput(cmd):
    """Return (status, output) of executing cmd in a shell."""
    import os
    text=""
    pipe = os.popen('{ ' + cmd + '; } 2>&1', 'r')
    try:
        text = pipe.read()
    except IOError,v:
        text = pipe.read()
        
    sts = pipe.close()
    if sts is None: sts = 0
    if text[-1:] == '\n': text = text[:-1]
    return sts, text
